<?php
include('conexao.php');
include('logout_tempo.php');

session_start();

?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jsQR/1.4.0/jsQR.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/jsqr@1.4.0/dist/jsQR.js"></script>

    <title>KM Taldi</title>
    <style>
        #caixa {
            border-radius: 35px;
            width: 120px;
            height: 40px;
            font-size:18px;
            margin-left: auto;
            margin-right: auto;
        }
    </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Retirar</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <?php if ($reservador): ?>
                        <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reservar</a>
                    <?php endif; ?>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="painel.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" id="filtro" placeholder="Filtrar veículo..." aria-label="Search">
            </form>
        </div>
    </div>
</nav>

<canvas id="qr-canvas" style="display:none;"></canvas>
<video id="qr-video" style="width: 100%; max-width: 400px;" autoplay playsinline></video>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jsQR/1.4.0/jsQR.min.js"></script>
<script>
    let scanning = true;

    function startScanner() {
        const video = document.getElementById("qr-video");
        const canvasElement = document.getElementById("qr-canvas");
        const canvas = canvasElement.getContext("2d");

        navigator.mediaDevices.getUserMedia({ video: { facingMode: "environment" } })
            .then(function (stream) {
                video.srcObject = stream;
                video.play();
                video.addEventListener("loadedmetadata", () => {
                    canvasElement.width = video.videoWidth;
                    canvasElement.height = video.videoHeight;
                    scanFrame();
                });
            })
            .catch(err => {
                console.error("Erro ao acessar a câmera:", err);
                alert("Erro ao acessar a câmera. Verifique as permissões.");
            });

        function scanFrame() {
            if (!scanning) return;

            if (video.readyState === video.HAVE_ENOUGH_DATA) {
                canvas.drawImage(video, 0, 0, canvasElement.width, canvasElement.height);
                const imageData = canvas.getImageData(0, 0, canvasElement.width, canvasElement.height);
                const code = jsQR(imageData.data, imageData.width, imageData.height);

                if (code) {
                    console.log("Código detectado:", code.data);
                    
                    if (code.data.startsWith("http://") || code.data.startsWith("https://")) {
                        scanning = false;
                        setTimeout(() => {
                            window.location.href = code.data;
                        }, 1000);
                    } else {
                        alert("O QR Code não contém um link válido.");
                    }
                }
            }
            requestAnimationFrame(scanFrame);
        }
    }

    window.onload = startScanner;
</script>

</body>
</html>
