<?php
include('conexao.php');
include('logout_tempo.php');

session_start();

$reservador = false;
if (isset($_SESSION['nome'])) {
    $nome_usuario = $_SESSION['nome'];
   
    $query_reservador = "SELECT reservador FROM usuarios WHERE nome = '$nome_usuario'";
    include('conexao.php'); 
    $resultado_reservador = mysqli_query($conexao, $query_reservador);
    if ($resultado_reservador) { 
        $row_reservador = mysqli_fetch_assoc($resultado_reservador);
        if ($row_reservador) { 
            $reservador = ($row_reservador['reservador'] == 1);
        }
    } else {
        echo "Erro na consulta: " . mysqli_error($conexao);
    }
}

$result_usuario = "SELECT * FROM carros ORDER BY CAST(SUBSTRING(modelo, 4) AS UNSIGNED) ASC";
$resultado_usuario = mysqli_query($conexao, $result_usuario);

$result_reboque = "SELECT * FROM reboque ORDER BY id_reboque ASC";
$resultado_reboque = mysqli_query($conexao, $result_reboque);
?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <title>KM Taldi</title>
    <style>
        #caixa {
            border-radius: 35px;
            width: 120px;
            height: 40px;
            font-size:18px;
            margin-left: auto;
            margin-right: auto;
        }
    </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Retirar</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <?php if ($reservador): ?>
                        <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reservar</a>
                    <?php endif; ?>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="painel.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" id="filtro" placeholder="Filtrar veículo..." aria-label="Search">
            </form>
        </div>
    </div>
</nav>

<div class="container">
    <div class="row my-3">
        <div class="col text-center">
            <button id="btnCarros" class="btn btn-dark">Carros</button>
            <button id="btnReboques" class="btn btn-secondary">Reboques</button>
        </div>
    </div>
    <!-- Tabela de Carros -->
    <div class="table-responsive">
        <table id="tableCarros" class="table table-bordered table-hover">
            <thead class="">
                <tr>
                    <th style="font-size:20px" scope="col"><center>Modelo</center></th>
                    <th style="font-size:20px" scope="col"><center>Marca</center></th>
                    <th style="font-size:20px" scope="col" ><center>Placa</center></th>

                    <th style="font-size:20px"scope="col"><center>KM</center></th>
                    <th style="font-size:20px"scope="col"><center>Devolver</center></th>
                </tr>
            </thead>
            <tbody>
                <?php
                if(($resultado_usuario) AND ($resultado_usuario->num_rows != 0)) {
                    while($row_usuario = mysqli_fetch_assoc($resultado_usuario)){
                ?>
                <tr>
                    <td style="font-size:18px"><center><?php echo $row_usuario['modelo'];?></center></td>
                    <td style="font-size:18px"><center><?php echo $row_usuario['marca'];?></center></td>
                    <td style="font-size:18px" ><center><?php echo $row_usuario['placa'];?></center></td>
                    <td style="font-size:18px"><center><?php echo $row_usuario['km'];?></center></td>
                    <td style="font-size:18px"><center><?php 
                        if ($row_usuario['retirado'] ==  0){
                            echo "<form method='post' action='retirar_carro.php'> 
                            <input type='hidden' name='carro' value='". $row_usuario['id_carro'] ."' >
                            <input id='caixa' style='font-size:18px' type='submit' style='color:white' class='btn btn-dark' value='Retirar'>
                            </form>"; 
                        }else{
                            echo "<input id='caixa' style='font-size:18px' style='color:black' type='button' class='btn btn-light' value='Está retirado'>";
                        }
                    ?></center></td>
                </tr>
                <?php
                    }    
                } else {
                    echo "<tr><td colspan='6'><center>Erro ao buscar os dados</center></td></tr>";
                }
                ?>
            </tbody>
        </table>
    </div>

    <!-- Tabela de Reboques -->
    <table id="tableReboques" class="table table-bordered" style="margin-top:20px; background-color: #fffffd; display: none;">
        <thead class="">

                <tr>
                    <th style="font-size:20px" colspan="2"><center>Modelo</center></th>
                    <th style="font-size:20px" colspan="3"><center>Placa</center></th>
                    <th style="font-size:20px"><center>Retirar</center></th>
                </tr>
            </thead>
            <tbody>
                <?php
                if(($resultado_reboque) AND ($resultado_reboque->num_rows != 0)) {
                    while($row_reboque = mysqli_fetch_assoc($resultado_reboque)){
                ?>
                <tr>
                    <td style="font-size:18px" colspan="2"><center><?php echo $row_reboque['modelo']; ?></center></td>
                    <td style="font-size:18px" colspan="3"><center><?php echo $row_reboque['placa']; ?></center></td>
                    <td><center><?php 
                        if ($row_reboque['retirado'] ==  0){
                            echo "<form method='post' action='retirar_reboque.php'> 
                            <input type='hidden' name='reboque' value='". $row_reboque['id_reboque'] ."' >
                            <input id='caixa' style='font-size:18px' type='submit' style='color:white' class='btn btn-dark' value='Retirar'>
                            </form>"; 
                        } else {
                            echo "<input id='caixa' style='color:black' style='font-size:18px' type='button' class='btn btn-light' value='Está retirado'>";
                        }
                    ?></center></td>
                </tr>
                <?php
                    }
                } else {
                    echo "<tr><td colspan='6'><center>Erro ao buscar os dados</center></td></tr>";
                }
                ?>
            </tbody>
        </table>
    </div>


<script>
document.addEventListener('DOMContentLoaded', function() {
    document.getElementById('btnCarros').addEventListener('click', function() {
        document.getElementById('tableCarros').style.display = 'table';
        document.getElementById('tableReboques').style.display = 'none';
        document.getElementById('btnCarros').classList.add('btn-dark');
        document.getElementById('btnCarros').classList.remove('btn-secondary');
        document.getElementById('btnReboques').classList.add('btn-secondary');
        document.getElementById('btnReboques').classList.remove('btn-dark');
    });
    
    document.getElementById('btnReboques').addEventListener('click', function() {
        document.getElementById('tableReboques').style.display = 'table';
        document.getElementById('tableCarros').style.display = 'none';
        document.getElementById('btnReboques').classList.add('btn-dark');
        document.getElementById('btnReboques').classList.remove('btn-secondary');
        document.getElementById('btnCarros').classList.add('btn-secondary');
        document.getElementById('btnCarros').classList.remove('btn-dark');
    });

    document.getElementById('filtro').addEventListener('input', function() {
        const filtro = this.value.toLowerCase();
        const linhasCarros = document.querySelectorAll('#tableCarros tbody tr');
        const linhasReboques = document.querySelectorAll('#tableReboques tbody tr');

        linhasCarros.forEach(function(linha) {
            const conteudo = linha.innerText.toLowerCase();
            linha.style.display = conteudo.includes(filtro) ? '' : 'none';
        });

        linhasReboques.forEach(function(linha) {
            const conteudo = linha.innerText.toLowerCase();
            linha.style.display = conteudo.includes(filtro) ? '' : 'none';
        });
    });
});
</script>
</body>
</html>
